Bug 1436968

Summary: Numerous testsuite errors w/ DBD::MySQL 4.042
Product: [Fedora] Fedora Reporter: Ralf Corsepius <rc040203>
Component: rtAssignee: Ralf Corsepius <rc040203>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 25CC: perl-devel, rc040203, tibbs
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:32:15 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1466540    
Bug Blocks:    

Description Ralf Corsepius 2017-03-29 06:50:54 UTC
Description of problem:
The upgrade of perl-DBD-MySQL to 4.042 causes numerous testsuite errors in rt-4.4.1's testsuite, similar to this:

...
# t/mail/charsets-outgoing-plaintext.t ................ 1/80 Wide
character in field 14 but mysql_enable_utf8 not set at
/usr/share/perl5/vendor_perl/DBIx/SearchBuilder/Handle.pm line 586.

# Failed test 'all mails have correct data'
# at t/mail/charsets-outgoing-plaintext.t line 78.
Wide character in field 1 but mysql_enable_utf8 not set at
/usr/share/perl5/vendor_perl/DBIx/SearchBuilder/Handle.pm line 586.
Wide character in field 8 but mysql_enable_utf8 not set at
/usr/share/perl5/vendor_perl/DBIx/SearchBuilder/Handle.pm line 586.
t/mail/charsets-outgoing-plaintext.t ................ 12/80 Wide
character in field 4 but mysql_enable_utf8 not set at
/usr/share/perl5/vendor_perl/DBIx/SearchBuilder/Handle.pm line 586.

# Failed test 'all mails have correct data'
# at t/mail/charsets-outgoing-plaintext.t line 130.
Wide character in field 8 but mysql_enable_utf8 not set at
/usr/share/perl5/vendor_perl/DBIx/SearchBuilder/Handle.pm line 586.
...


Version-Release number of selected component (if applicable):
rt-4.4.1-5.noarch
perl-DBD-MySQL-4.042-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. run rt's testsuite

Actual results:

These tests fail:
mail-charsets-outgoing-plaintext.t
mail-charsets-outgoing.t
mail-not-supported-charset.t
mail-precedence-outgoing.t
mail-rfc2231-attachment.t
mail-sendmail-plaintext.t
mail-sendmail.t
web-attachment_encoding.t
web-basic.t
web-html_template.t
web-query_builder.t
web-rest-non-ascii-subject.t
web-ticket-create-utf8.t
web-ticket_forward.t
web-ticket_txn_subject.t

Downgrading to perl-DBD-MySQL-4.041-1.fc25.x86_64.rpm immediately silences all these testsuite errors.

Expected results:
No errors.

Additional info:
- I assume the cause to be the incompatibilities described under "WARNING" in
https://metacpan.org/pod/DBD::mysql#mysql_enable_utf8
- Reported upstream rt as https://issues.bestpractical.com/Ticket/Display.html?id=32670
- I assume this issue to not only affect the testsuite, but it to affect rt's runtime, too.

Comment 1 Fedora End Of Life 2017-11-16 18:44:46 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:32:15 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.